org.apache.ignite.cache

## Class CacheInterceptorEntry<K,V>

- java.lang.Object
- - org.apache.ignite.cache.CacheInterceptorEntry<K,V>

Type Parameters:
  `K` - The type of key.
  `V` - The type of value.

All Implemented Interfaces:
  javax.cache.Cache.Entry<K,V>

Direct Known Subclasses:
  CacheLazyEntry

    public abstract class CacheInterceptorEntry<K,V>
    extends Object
    implements javax.cache.Cache.Entry<K,V>

A cache interceptor map entry.

### Constructor Summary

Constructors
Constructor and Description
`CacheInterceptorEntry()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract long` `getPartitionUpdateCounter()` Each cache update increases partition counter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.cache.Cache.Entry

`getKey, getValue, unwrap`

### Constructor Detail

#### CacheInterceptorEntry

    public CacheInterceptorEntry()

### Method Detail

#### getPartitionUpdateCounter

    public abstract long getPartitionUpdateCounter()

Each cache update increases partition counter. The same cache updates have on the same value of counter on primary and backup nodes. This value can be useful to communicate with external applications. The value has sense only for entries get by `CacheInterceptor.onAfterPut(Cache.Entry)` and `CacheInterceptor.onAfterRemove(Cache.Entry)` methods. For entries got by other methods will return `0`.

Returns:
  Value of counter for this entry.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018